package com.fjhx.mail.service.personal;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.personal.dto.PersonalMailboxDto;
import com.fjhx.mail.entity.personal.dto.PersonalMailboxSelectDto;
import com.fjhx.mail.entity.personal.po.PersonalMailbox;
import com.fjhx.mail.entity.personal.vo.PersonalMailboxVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 个人邮箱 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface PersonalMailboxService extends BaseService<PersonalMailbox> {

    /**
     * 个人邮箱分页
     */
    Page<PersonalMailboxVo> getPage(PersonalMailboxSelectDto dto);

    /**
     * 个人邮箱明细
     */
    PersonalMailboxVo detail(Long id);

    /**
     * 个人邮箱新增
     */
    JSONObject add(PersonalMailboxDto personalMailboxDto);

    /**
     * 个人邮箱编辑
     */
    void edit(PersonalMailboxDto personalMailboxDto);

    /**
     * 个人邮箱删除
     */
    void delete(Long id);

}
